2019-10-17 01:04 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001284FSSCPFREDpublic2008-04-07 22:01
ReporterTolwyn 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001284: FRED crashes after saving mission file
DescriptionFRED crashes after saving mission file. Not always, there is no real pattern in this. Would be nice, if this could be fixed though :)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007640

thesource2 (reporter)

For me it always crashes if replaced textures is used. I tried to modify fs1 missions to make same changes as in original fs1. But fred saves missions with nameplates improperly and crashes. After that mission is unusable.
Error message: "expected [$wing <something>] found [$Replaced texture]" something like that. It makes fs1 port unplayable for me :(

~0007643

thesource2 (reporter)

I have discovered the following while editing fsport missions:
1. Nameplates are saved improperly if they are present. If you remove them, they actually does not dissapear but are saved properly instead.
2. Something wrong with the debriefing in last Silent Threat mission. Fred saves last recommendation text improperly (again part of it is written to improper section and mission becomes unusable)

~0007701

thesource2 (reporter)

Checked many builts from may 2006 to present. Bug present in all of them, but error message slightly differs.

~0007703

Goober5000 (administrator)

Yeah, this is a problem with the way commenting is set up. Best thing to do is add texture replacements in Notepad, after you've saved the mission. I'll take a look.

~0009140

taylor (administrator)

Has anyone got a test case where this is still a problem?

I think that I've got all of this stuff fixed (the comment handling), but I'm not sure how to test this one since I can't seem replicate it in a normal FRED build.

~0009143

Goober5000 (administrator)

Dude, you are the freaking *man*. I've lost count of the bugs you've fixed or are fixing. I need to buy you a drink or 50. :)

The very first FSPort mission has this problem, since it uses a nameplate for the Orff. It will save the commented texture replacement from the comments as well as the mission, causing the texture replacement to be concatenated with itself.

~0009145

taylor (administrator)

Hehe, I just got tired of Mantis sitting at 200+ open bugs for the past year or so. :)


I gave the first FSPort mission a quick test and the problem does appear to be fixed. I did notice a couple of issues that is due to some bug in the new code though, so I need to work on it a bit more before commit. The new code will grab the version comment, save it to a buffer, then use it with tokens which are output with either parse_comments() or from a new fout_version() function. For some reason that comment from the texture replacement entries carried over to the $Name entry of the next object by mistake. It's easy enough to fix though. :)

~0009200

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-02-16 17:53 Tolwyn New Issue
2007-02-16 19:51 thesource2 Note Added: 0007640
2007-02-16 22:25 thesource2 Note Added: 0007643
2007-02-22 06:15 thesource2 Note Added: 0007701
2007-02-22 14:45 Goober5000 Status new => assigned
2007-02-22 14:45 Goober5000 Assigned To => Goober5000
2007-02-22 14:46 Goober5000 Note Added: 0007703
2008-04-02 00:42 taylor Assigned To Goober5000 => taylor
2008-04-02 01:33 taylor Note Added: 0009140
2008-04-02 03:28 Goober5000 File Added: sm1-01a.fs2
2008-04-02 03:32 Goober5000 Note Added: 0009143
2008-04-02 04:17 taylor Note Added: 0009145
2008-04-07 22:01 taylor Status assigned => resolved
2008-04-07 22:01 taylor Fixed in Version => 3.6.10
2008-04-07 22:01 taylor Resolution open => fixed
2008-04-07 22:01 taylor Note Added: 0009200
+Issue History